<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Sms extends Model
{
    use HasFactory;

    public $incrementing = false;
    protected $keyType = 'string';
    protected $table = 'sms';
    protected $primaryKey = 'id_sms';

    public function parent()
    {
        return $this->belongsTo(Sms::class, 'id_induk_sms', 'id_sms');
    }
}
